import type { Theme } from '../../lib/theming/Theme.js';
export declare const getStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    paging(): string;
    pagingMobile(): string;
    pagingSmall(t: Theme): string;
    pagingMedium(t: Theme): string;
    pagingLarge(t: Theme): string;
    pagingDisabled(): string;
    dots(t: Theme): string;
    dotsSmall(t: Theme): string;
    dotsMedium(t: Theme): string;
    dotsLarge(t: Theme): string;
    dotsDisabled(t: Theme): string;
    forwardLink(t: Theme): string;
    forwardLinkSmall(t: Theme): string;
    forwardLinkMedium(t: Theme): string;
    forwardLinkLarge(t: Theme): string;
    forwardLinkMediumMobile(t: Theme): string;
    forwardLinkLargeMobile(t: Theme): string;
    forwardLinkDisabled(t: Theme): string;
    pageLinkWrapper(): string;
    pageLink(t: Theme): string;
    pageLinkSmall(t: Theme): string;
    pageLinkMedium(t: Theme): string;
    pageLinkLarge(t: Theme): string;
    pageLinkDisabled(t: Theme): string;
    pageLinkCurrent(t: Theme): string;
    pageLinkCurrentDisabled(t: Theme): string;
    pageLinkFocused(t: Theme): string;
    transparent(): string;
    pageLinkHint(t: Theme): string;
}>;
